#ifndef	_CCILIB_H
#define	_CCILIB_H

#define	NULL	(0)

#define	NORMAL	(0)
#define	ERR		(-1)
#define	TRUE	(1)
#define	FALSE	(1)

#define	BUFSIZ	(512)

#define va_start(ap, parmN) (ap = (char *)(&parmN) + sizeof(int))
#define va_arg(ap, type) ( *(type *) ((ap += __psize(sizeof(type)) ) - __psize(sizeof(type))) )
#define va_end(ap)

#define	CLOCKS_PER_SEC	100

/*************************************************************************
*	}EX
*************************************************************************/

#define	MOS_CON()		PD_curOn()
#define	MOS_COFF()		PD_curOff()
#define	MOS_DEC()		PD_curDec()
#define	MOS_INC()		PD_curInc()

/*************************************************************************
*	XN[
*************************************************************************/

#define	C_BLACK		(_ScnColTbl[ 0])
#define	C_BLUE		(_ScnColTbl[ 1])
#define	C_RED		(_ScnColTbl[ 2])
#define	C_MAGENTA	(_ScnColTbl[ 3])
#define	C_GREEN		(_ScnColTbl[ 4])
#define	C_CYAN		(_ScnColTbl[ 5])
#define	C_YELLOW	(_ScnColTbl[ 6])
#define	C_WHITE		(_ScnColTbl[ 7])
#define	C_HBLACK	(_ScnColTbl[ 8])
#define	C_HBLUE		(_ScnColTbl[ 9])
#define	C_HRED		(_ScnColTbl[10])
#define	C_HMAGENTA	(_ScnColTbl[11])
#define	C_HGREEN	(_ScnColTbl[12])
#define	C_HCYAN		(_ScnColTbl[13])
#define	C_HYELLOW	(_ScnColTbl[14])
#define	C_HWHITE	(_ScnColTbl[15])

#define	C_THROUGH	(_ScnCol_though)	/* F		*/
#define	C_MWHITE	(_ScnCol_white)		/* 			*/
#define	C_MBLACK	(_ScnCol_black)		/* 			*/
#define	C_HILIGHT	(_ScnCol_hilight)	/* nCCg	*/
#define	C_SHADOW	(_ScnCol_shadow)	/* e			*/
#define	C_DARK		(_ScnCol_dark)		/* 			*/
#define	C_LGRAY		(_ScnCol_lgray)		/* CgOC	*/

#define	PSET	0
#define	PRESET	1
#define	OR		2
#define	AND		3
#define	XOR		4
#define	NOT		5
#define	OPAQUE	9

/* ^CO	--------------------------------------------------------*/
#define	MIXCOL_NORMAL	(0x00)
#define	MIXCOL_STD1		(0x01)
#define	MIXCOL_CROSS1	(0x10)
#define	MIXCOL_CROSS2	(0x11)


/*************************************************************************
*	_CAO
*************************************************************************/

/* _CAO\ʒu	------------------------------------------------*/
#define	DLGPOS_NORMAL			(0)
#define	DLGPOS_CENTER_OF_SCREEN	(1)	/* ʒ				*/
#define	DLGPOS_MOSCUR			(8)	/* }EXJ[\ʒu	*/

/* bZ[W	----------------------------------------------------*/
#define	TXMDAT_ATT_LEFT		(0)
#define	TXMDAT_ATT_CENTER	(1)
#define	TXMDAT_ATT_RIGHT	(2)

/*************************************************************************
*	t@CCu
*************************************************************************/

#define	FSISFILE_ERR	(-1)
#define	FSISFILE_FILE	(1)
#define	FSISFILE_DIR	(2)

/*************************************************************************
*	t@C_CAO
*************************************************************************/

/*		------------------------------------------------------------*/
#define	FDLATT_SINGLE		(0x00000001)	/* t@CЂƂI^w		*/
#define	FDLATT_MULTI		(0x00000002)	/* I^w						*/
#define	FDLATT_PATH			(0x00000003)	/* fBNgI^w				*/
#define	FDLATT_DIRIGN		(0x00000080)	/* TufBNg̑I^w֎~	*/
#define	FDLATT_DUPIGN		(0x00000800)	/* t@C1̑I֎~		*/
#define	FDLATT_EXIST		(0x00008000)	/* ݂t@ĈݑI\			*/
#define	FDLATT_SIDEWORK		(0x00010000)	/* TCh[N							*/
#define	FDLATT_DOSCALL		(0x00020000)	/* DOS R}h							*/
#define	FDLATT_EXTIGN		(0x00040000)	/* gj[֎~						*/

/*	sort	------------------------------------------------------------*/
#define	FDLSORT_OFF			(0)			/* \[gȂ		*/
#define	FDLSORT_FILE		(1)			/* t@C		*/
#define	FDLSORT_SUB			(2)			/* gq			*/
#define	FDLSORT_DATE		(3)			/* t				*/
#define	FDLSORT_SIZE		(4)			/* TCY			*/
#define	FDLSORT_RVS			(0x80)		/* ^~		*/
#define	FDLSORT_DIRBIT		(0x60)
#define	FDLSORT_DIRTOP		(0x00)		/* fBNg擪	*/
#define	FDLSORT_DIRLAST		(0x20)		/* fBNgŌ	*/
#define	FDLSORT_DIROFF		(0x40)		/* fBNg		*/

/*************************************************************************
*	t@CRs[
*************************************************************************/

/*	fcopy	------------------------------------------------------------*/
#define	FCOPY_ATT_SUBDIR		(0x00000001)	/* TufBNg	*/
#define	FCOPY_ATT_HIDDEN		(0x00000002)	/* Bt@C		*/
#define	FCOPY_ATT_SYSTEM		(0x00000004)	/* VXet@C	*/
#define	FCOPY_ATT_ATTRIBUTES	(0x00000008)	/* t@C		*/
#define	FCOPY_ATT_TIMESTAMP		(0x00000010)	/* ^CX^v		*/

#define	FCOPY_ATT_CHK_OVERWRITE	(0x00000100)	/* ㏑mF				*/
#define	FCOPY_ATT_CHK_TIMESTAMP	(0x00000200)	/* ^CX^vr		*/

#define	FCOPY_ATT_NOENDMSG		(0x01000000)	/* IbZ[WȂ		*/

/*************************************************************************
*	DTA & PCL
*************************************************************************/

#define	APLPCL_SAVE_SCREEN		(1)		/* ʕۑ					*/
#define	APLPCL_RESET_CRTC		(2)		/* ʍĐݒ				*/
#define	APLPCL_SET_STARTPATH	(4)		/* NpXDTA ݒ			*/
#define	APLPCL_SET_PCP			(8)		/* PCP ݒ					*/
#define	APLPCL_SET_MRESO		(16)	/* 𑜓xݒ				*/
#define	APLPCL_CLEAR_SCREEN		(32)	/* ʂ̏				*/
#define	APLPCL_DTALIB_IGNORE	(128)	/* DTA Cugp֎~	*/

/*************************************************************************
*	IMG
*************************************************************************/

#define	IMG_ATT_PLTON	(0x00010000)

#endif
